pcl::io::TARHeader Struct Reference

A TAR file's header, as described on http://en.wikipedia.org/wiki/Tar_%28file_format%29. More...

`#include <pcl/io/tar.h>`

## Public Member Functions

unsigned int | getFileSize ()
| get file size More...

## Public Attributes

char | file_name [100]
char | file_mode [8]
char | uid [8]
char | gid [8]
char | file_size [12]
char | mtime [12]
char | chksum [8]
char | file_type [1]
char | link_file_name [100]
char | ustar [6]
char | ustar_version [2]
char | uname [32]
char | gname [32]
char | dev_major [8]
char | dev_minor [8]
char | file_name_prefix [155]
char | _padding [12]

## Detailed Description

A TAR file's header, as described on http://en.wikipedia.org/wiki/Tar_%28file_format%29.

Definition at line 50 of file tar.h.

## Member Function Documentation

## getFileSize()

unsigned int pcl::io::TARHeader::getFileSize | ( |  | ) |

inline

get file size

Definition at line 72 of file tar.h.

References file_size.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::loadTemplates().

## Member Data Documentation

## _padding

char pcl::io::TARHeader::_padding[12]

Definition at line 68 of file tar.h.

## chksum

char pcl::io::TARHeader::chksum[8]

Definition at line 58 of file tar.h.

## dev_major

char pcl::io::TARHeader::dev_major[8]

Definition at line 65 of file tar.h.

## dev_minor

char pcl::io::TARHeader::dev_minor[8]

Definition at line 66 of file tar.h.

## file_mode

char pcl::io::TARHeader::file_mode[8]

Definition at line 53 of file tar.h.

## file_name

char pcl::io::TARHeader::file_name[100]

Definition at line 52 of file tar.h.

Referenced by pcl::LineRGBD< PointXYZT, PointRGBT >::loadTemplates().

## file_name_prefix

char pcl::io::TARHeader::file_name_prefix[155]

Definition at line 67 of file tar.h.

## file_size

char pcl::io::TARHeader::file_size[12]

Definition at line 56 of file tar.h.

Referenced by getFileSize().

## file_type

char pcl::io::TARHeader::file_type[1]

Definition at line 59 of file tar.h.

## gid

char pcl::io::TARHeader::gid[8]

Definition at line 55 of file tar.h.

## gname

char pcl::io::TARHeader::gname[32]

Definition at line 64 of file tar.h.

## link_file_name

char pcl::io::TARHeader::link_file_name[100]

Definition at line 60 of file tar.h.

## mtime

char pcl::io::TARHeader::mtime[12]

Definition at line 57 of file tar.h.

## uid

char pcl::io::TARHeader::uid[8]

Definition at line 54 of file tar.h.

## uname

char pcl::io::TARHeader::uname[32]

Definition at line 63 of file tar.h.

## ustar

char pcl::io::TARHeader::ustar[6]

Definition at line 61 of file tar.h.

## ustar_version

char pcl::io::TARHeader::ustar_version[2]

Definition at line 62 of file tar.h.

The documentation for this struct was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/io/include/pcl/io/tar.h